/***
Login page
***/
html, body {
  background-color: #f4f4f4;
  height: 100%;
}
.dev-banner {
  top:0!important;
}
.login.subdomain-login {
  background:url(../images/login-bg.jpg) no-repeat center center fixed;
  background-size: cover;
  background-color: rgba(255,255,255,0.8);
  background-blend-mode: lighten;
}
.login-container {
  border-radius: 10px!important;
  box-shadow: 0 0 20px #00000050;
  margin-top:12%;
  min-width:320px;
}
.subdomain-login .login-container {
  max-width:500px;
  margin-left:auto;
  margin-right:auto;
  position: relative;
}

.login-intro-panel {
  position: relative;
  background-color: #2e2e2e;
  color:#fff;
  border-radius: 10px 0 0 10px!important;
  min-height: 500px;
  text-align: center;
  padding: 50px;
}

.login-input-panel {
  position: relative;
  background-color: #ffffff;
  border-radius: 0 10px 10px 0!important;
  min-height: 500px;
  padding: 50px;
}
.subdomain-login .login-input-panel {
  border-radius: 10px!important;
}

.login-logo {
  width:80%;
  margin-top:50px;
  margin-bottom:100px;
}

.subdomain-img {
  width: 50%;
  margin:0 0 40px 0;
}

#login-noname {
  font-size:18px;
  min-height:100px;
}

#login-welcome {
  font-size:28px;
  min-height:100px;
}

.login-copy {
  position: absolute;
  bottom:50px;
  width:calC(100% - 100px);
  text-align: center;
}
.subdomain-login .login-copy {
  bottom:-30px;
  width:100%;
  color:#666;
}

.login h1,
.login h4 {
  color: #555;
  font-weight: 600;
}

.login h3 {
  color: #555;
  font-weight: 600;
  margin: 0 0 10px 0;
}

.login h5 {
  color: #555;
  font-weight: 500;
  margin:0;
}

.login .btn:not(.dev-banner .btn) {
  padding:20px 40px;
  /*border-radius: 5px!important;*/
  font-weight:700;
  -webkit-transition: all .3s ease-in-out;
  -moz-transition: all .3s ease-in-out;
  -o-transition: all .3s ease-in-out;
  transition: all .3s ease-in-out;
}

.login-intro-panel .btn {
  background-color:#fff;
  color:#333;
  border-radius:50px!important;
}
.login-intro-panel .btn:hover {
  background-color:#eee;
  color:#333;
}

.loader {
  width: 100%;
  height: 5px;
  display: inline-block;
  position: relative;
  background: #2e2e2e;
  overflow: hidden;
  margin-top:50px;
  margin-bottom:80px;
}
.loader::after {
  content: '';
  width: 200px;
  height: 5px;
  background: #f7be39;
  position: absolute;
  top: 0;
  left: 0;
  box-sizing: border-box;
  animation: animloader 2s linear infinite;
}

@keyframes animloader {
  0% {
    left: 0;
    transform: translateX(-100%);
  }
  100% {
    left: 100%;
    transform: translateX(0%);
  }
}

.login-input-panel .btn {
  background-color: #36bbf7;
  color: #ffffff;
}
.subdomain-login .login-input-panel .btn {
  background-color: #273994;
}

.login-input-panel .btn.disabled {
  background-color: #69c3ea;
}
.subdomain-login .login-input-panel .btn.disabled {
  background-color: #3a2b7f;
}

.login-input-panel .btn:not(.disabled):hover {
  background-color: #3da3f9;
  color: #ffffff;
}
.subdomain-login .login-input-panel .btn:not(.disabled):hover {
  background-color: #1f1a5e;
}

.login a {
  color:#36bbf7;
}
.login a.disabled {
  color:#aaa;
}
.login a.disabled:hover {
  cursor: not-allowed;
  text-decoration: none;
}
.login a:not(.disabled):not(.btn):hover {
  color:#3da3f9;
}

.inputText {
  outline: none;
  border:1px solid #dedede;
  box-shadow: none !important;
  padding: 25px;
  border-radius: 4px;
}

.user-input-wrp {
  position: relative;
  width: 100%;
  margin-top:30px;
}
.user-input-wrp .fa-eye,
.user-input-wrp .fa-eye-slash {
  position: absolute;
  right: 10px;
  top: 17px;
  padding:10px;
  cursor: pointer;
  color: #666666;
}
.inputText:focus{
  outline:none;
  border-bottom: 2px solid #f7be39!important;
  margin-bottom:-1px;
}
.user-input-wrp .inputText{
  width: 100%;
}
.user-input-wrp .floating-label {
  position: absolute;
  pointer-events: none;
  top: 25px;
  left: 25px;
  transition: 0.2s ease all;
  color: #666666;
}
.user-input-wrp input:focus ~ .floating-label,
.user-input-wrp input:not(:focus):valid ~ .floating-label{
  top: 6px;
  left: 25px;
  font-size: 12px;
  opacity: 1;
  font-weight: 700;
  color:#f7be39;
}

.login .verification-code{
  margin-top:100px;
}
.login .verification-code input::-webkit-outer-spin-button,
.login .verification-code input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.login .verification-code .verification-codes {
  float:left;
  width:15%;
  text-align:center;
  font-size:16px;
  color:#000;
  padding:25px 0;
  -moz-appearance: textfield;
}
.login .verification-code .verification-codes:nth-child(-n+3) {
  margin-right:1.66666%;
}
.login .verification-code .verification-codes:nth-child(n+4) {
  margin-left:1.66666%;
}

input[type="checkbox"] {
  display: none;
}

.checkbox-a {
  margin-top:40px;
  display: flex;
}

label.cbl {
  flex-basis: 40px;
  flex-shrink: 0;
  margin-top: 3px;
}
label.cbl:before {
  background: #ffffff;
  border: 1px solid #666666;
  border-radius:4px;
  height: 25px;
  width: 25px;
  display: block;
  cursor: pointer;
}
input[type="checkbox"] + label.cbl:before {
  content: '';
  color: #606060;
  line-height: 23px;
  text-align: center;
}
input[type="checkbox"]:checked + label.cbl:before {
  font-family: "FontAwesome";
  font-weight:400;
  font-size: 18px;
  content: '\f00c';
  color:#009900;
}
input[type="checkbox"]:disabled + label.cbl:before {
  color:#cccccc;
  cursor:default;
}


.form-actions {
  display: flex;
  align-items: center;
  position: absolute;
  bottom:50px;
  width:calC(100% - 100px);
}
.subdomain-login .form-actions {
  flex-wrap: wrap;
  flex-direction: column-reverse;
  position: relative;
  bottom: unset;
  width:100%;
}
.subdomain-login .form-actions .btn {
  width:100%;
  margin-top:20px;
}
.form-actions .col-sm-6 {
  flex-basis: 50%;
}
.form-actions .links {
  margin-left:auto;
  text-align: right;
}
.form-actions .links a {
  display: block;
  margin:10px 0;
}

.agreements a, .agreements a:hover {
  display:block;
  font-size:13px;
  font-weight:400;
  color:#337ab7;
  text-decoration: none;
  padding:10px 0;
}
.agreements a .fa {
  font-size:12px;
}

#security-question {
  margin-top:50px;
  margin-bottom:-20px;
  font-size:16px;
}


/*.login .content .has-error .select2-container i {
  color: #b94a48;
}

.login .content .select2-container a span {
  font-size: 13px;
}

.login .content .select2-container a span img {
  margin-left: 4px;
}*/

.login #pw-strength {
  float:right;
  font-weight:bold;
}

.login .progress {
  margin-top:10px;
  border:1px solid #dedede;
  border-radius:20px!important;
  background-color:unset;
  height:15px;
  padding:2px;
}
.login .progress-bar{
  box-shadow: none;
  -webkit-box-shadow: none;
  border-radius:20px!important;
}

.notifyjs-corner {
  left: 45%; -moz-transform: translateX(-45%);
  -webkit-transform: translateX(-45%);
  -o-transform: translateX(-45%);
  -ms-transform: translateX(-45%);
  transform: translateX(-45%);
  max-width: 90%;
  word-wrap: break-word;
}
.notifyjs-bootstrap-base {
  white-space: unset;
  word-wrap: break-word;
}

@media (max-width: 991px) {
  .login-container {
    margin-top:0;
    border-radius: 0!important;
  }
  .login-intro-panel,
  .login-input-panel {
    min-height:0;
    padding:20px;
    border-radius: 0!important;
  }

  .login-logo {
    margin-top:10px;
    margin-bottom:20px;
  }

  .login-copy,
  .form-actions {
    position: relative;
    bottom: unset;
    width:100%;
    margin-top:30px;
  }
  .login-copy {
    margin-top:20px;
  }
  .form-actions.wrap-reverse {
    flex-wrap: wrap-reverse;
  }
  .form-actions.row {
    width:calc(100% + 30px);
  }
  .form-actions .col-sm-6 {
    flex-basis: 100%;
  }

  .login .verification-code{
    margin-top:30px;
  }


  /*.login .content h3 {
    font-size: 22px;
  }

  .login .checkbox {
    font-size: 13px;
  }*/

  .login .content .verification-code input[type="text"] {
    padding:3px;
    height:40px;
  }
}

.compact-grid .row {
  margin-left:-5px;
  margin-right:-5px;
}
.compact-grid .row [class^="col-"] {
  padding-left:5px;
  padding-right:5px;
}

@media (min-width: 768px) {
  .equal-sm {
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-wrap: wrap;
  }
  .equal-sm > [class*='col-'] {
    display: flex;
    flex-direction: column;
  }
}

@media (max-width: 450px) {
  .login .verification-code input[type="text"] {
    padding:10px;
  }
}